/*
	Helper.cpp

	Implementation of Helper class
*/
#include "stdafx.h"
#include <assert.h>
#include "Helper.h"


CHelper::CHelper()
{
}

CHelper::~CHelper()
{

}
//-------------- Static Functions

void CHelper::MultiplyPointByMatrix(double *dPoint, double *dMatrix, double *dResult)
{
	//point will have 4 items - a 4 x 1
	//matrix wil lbe a 4 x 4
	for (int i = 0; i < 1; i++) 
	{
		for (int j = 0; j < 4; j++) //dPoint element
		{
			double dSum = 0;
			for (int k = 0; k < 4; k++) //dMatrix element
				dSum += dPoint[k] * dMatrix[(k * 4) + j];
			dResult[j] = dSum;
		}
	}
}
